package com.manning.aip.dealdroid;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.util.Log;

public class DealAlarmReceiver extends BroadcastReceiver {

   // Metoda onReceive musi działać bardzo szybko i nie blokować
   // pracy, dlatego tylko uruchamia usługę.
   @Override
   public void onReceive(Context context, Intent intent) {
      Log.i(Constants.LOG_TAG, "Wywołano DealAlarmReceiver; uruchamianie DealService w tle");
      context.startService(new Intent(context, DealService.class));
   }
}
